/* 
 Project: SIM900 GSM GPRS Quad-Band Development Board 
 Function: Sending SMS
 
 RX is digital pin 7 of Arduino board (connect to TXD of SIM900 GSM GPRS Quad-Band Development Board )
 TX is digital pin 8 of Arduino board (connect to RXD of SIM900 GSM GPRS Quad-Band Development Board )
 */
//********************************************
#include <SoftwareSerial.h>//include library code
//********************************************
SoftwareSerial SIM900(7, 8); //RX, TX Configure software serial port
void setup() {
  // Arduino communicates with SIM900 GSM shield at a baud rate of 19200
  // Make sure that corresponds to the baud rate of your module
  SIM900.begin(19200);
  // Give time to your GSM shield log on to network
  delay(20000);   
  
  // Send the SMS
  sendSMS();
}

void loop() { 
  
}

void sendSMS() {
  // AT command to set SIM900 to SMS mode
  SIM900.print("AT+CMGF=1\r"); 
  delay(100);

  // REPLACE THE X's WITH THE RECIPIENT'S MOBILE NUMBER
  // USE INTERNATIONAL FORMAT CODE FOR MOBILE NUMBERS
  SIM900.println("AT + CMGS = \"+XXXXXXXXXXXX\""); 
  delay(100);
  
  // REPLACE WITH YOUR OWN SMS MESSAGE CONTENT
  SIM900.println("Message example from Arduino Uno."); 
  delay(100);

  // End AT command with a ^Z, ASCII code 26
  SIM900.println((char)26); 
  delay(100);
  SIM900.println();
  // Give module time to send SMS
  delay(5000); 
}
